QRSBox - 七牛云存储同步上传客户端
======

QRSBox 是一个 “七牛云存储” 的同步上传客户端。这个东西的存在可能会让人困惑。以下是一些 FAQ：

**Q: “七牛云存储” 是网盘么？为什么会有同步客户端？**

A: “七牛云存储” 不是网盘。这个同步客户端也不是给终端用户用的，但是确实有一些七牛的客户需要好用的上传工具，所以才有了它。对它正确的理解是，QRSBox 是 “七牛云存储” 命令行同步工具 qrsync 的 GUI 版本（当然，其实和 qrsync 还是略有有区别的，见下），仅此而已。

**Q: QRSBox 是不是基于 “七牛云存储” 上的一个网盘 DEMO？**

A: “QRSBox” 不是 DEMO，他是 “七牛云存储” 本身的客户端。

**Q: 为啥要有 QRSBox 这样的东西？七牛为啥不直接支持 FTP 就好了？**

A: FTP 是比较过时的玩意，在主流的互联网场合下都难以见到它的踪影。七牛一直致力于做更好用更易用的云存储。我们需要创造。所以我们更愿意吸收像 Dropbox 这类同步网盘的优点，来提升七牛云存储的体验。相比 FTP，QRSBox 有如下优点：

- QRSBox 支持目录监控。你向目录里面增加、修改文件，都可以被自动同步到“七牛云存储”。
- QRSBox 支持增量同步。下次同步的时候，只会同步那些新增的或者修改的内容。
- QRSBox 支持断点续上传，无论网络多差，QRSBox 都要确保尽量让文件上传成功。

**Q: 我本地目录删除一个文件，会在七牛云存储的空间里面也相应删除对应的文件么？**

A: 不会。QRSBox 和 Dropbox 这样的同步网盘的差别在于：

- QRSBox 同步是单向的，QRSBox 只是单向上传的工具，只不过它在努力把上传功能做到了极致的简单易用。
- QRSBox 并不同步本地的“删除”行为。这个还是和 QRSBox 定位是上传工具有关。要删除文件，建议你到七牛的 portal 后台去删除，这有点麻烦，但是反过来也有另外的好处，就是你同步完一个文件后，本地就可以直接删除它以释放本地的磁盘空间。

**Q: QRSBox 和 QRSync 命令行工具有啥区别？**

A: 除了 qrsbox 是 GUI 而 qrsync 是命令行外，两者最大的不同是 qrsbox 会监控目录变化，属于 “守护程序”，而 qrsync 在一次同步任务完成时就结束。简单可以理解为：qrsbox = fs monitor + qrsync
